Home / Lua API Manual / types / lua_stack
< lua_file_chooser_button
lua_slider >

# lua_stack

`dt_type`

A container that will only show one of its child at a time

Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_stack.__call

see types.lua_widget.As a function

# 🔗lua_stack.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_stack.active

types.lua_widget or nil

The currently selected child, can be nil if the container has no child, can be set to one of the child widget or to an index in the child table

Attributes:

- write

# 🔗lua_stack.h_size_fixed

`boolean`

True if horizontal size is fixed, false if stack can be resized horizontally.

Attributes:

- write

# 🔗lua_stack.v_size_fixed

`boolean`

True if vertical size is fixed, false if stack can be resized vertically.

Attributes:

- write

< lua_file_chooser_button
lua_slider >